package es.uniovi.reflection.patternmining.features;

public class ProgramFeatures {
	
	private long id;
	private String userID;
	private String userClass;
	private float classPercentage;
	private float interfacePercentage;
	private float enumPercentage;
	private boolean codeInPackages;
	private boolean defaultPackage;
	private int numberOfTypesInPackages;
	private int numberOfTypesInDefaultPackage;
	
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getUserID() {
		return userID;
	}
	public void setUserID(String userID) {
		this.userID = userID;
	}
	public String getUserClass() {
		return userClass;
	}
	public void setUserClass(String userClass) {
		this.userClass = userClass;
	}
	public float getClassPercentage() {
		return classPercentage;
	}
	public void setClassPercentage(float classPercentage) {
		this.classPercentage = classPercentage;
	}
	public float getInterfacePercentage() {
		return interfacePercentage;
	}
	public void setInterfacePercentage(float interfacePercentage) {
		this.interfacePercentage = interfacePercentage;
	}
	public float getEnumPercentage() {
		return enumPercentage;
	}
	public void setEnumPercentage(float enumPercentage) {
		this.enumPercentage = enumPercentage;
	}
	public boolean isCodeInPackages() {
		return codeInPackages;
	}
	public void setCodeInPackages(boolean codeInPackages) {
		this.codeInPackages = codeInPackages;
	}
	public boolean isDefaultPackage() {
		return defaultPackage;
	}
	public void setDefaultPackage(boolean defaultPackage) {
		this.defaultPackage = defaultPackage;
	}
	public int getNumberOfTypesInPackages() {
		return numberOfTypesInPackages;
	}

	public void setNumberOfTypesInPackages(int numberOfTypesInPackages) {
		this.numberOfTypesInPackages = numberOfTypesInPackages;
	}

	public int getNumberOfTypesInDefaultPackage() {
		return numberOfTypesInDefaultPackage;
	}

	public void setNumberOfTypesInDefaultPackage(int numberOfTypesInDefaultPackage) {
		this.numberOfTypesInDefaultPackage = numberOfTypesInDefaultPackage;
	}	
	
}
